Sangoma P325 phone apps not working

Hi, I just purchased two sangoma P325’s and I was able to configure EPM and provision them with EPM as well.

But I have noticed that the apps are not working: I have unread voicemails on this extension and the app does not display them:

Missed/Recent calls app also have an empty list when I know I have missed calls because I made test calls:

The apps are listed on the sangoma phone, also listed on EPM:


In the sangoma template says: “Note: The DPMA Apps, such as Queues/Follow Me App, work only if the phone app protocol in the template is HTTPS.
Queues App supported models i.e. P320, P325 & P330 phones.”

But in the temlate config only gives me the option to use HTTP and no HTTPS…

Any idea what I might be missing?

Thanks!

I just read in the https://sangomakb.atlassian.net/wiki/spaces/PG/pages/32735287/EPM-+DPMA+Apps#Apps-Permissions document that “The DPMA Apps on the Sangoma D80 phone will only work if the Phone Apps protocol is set to HTTPS in the Endpoint Manager Template. If this option is not exposed in the EPM template, please ensure there is a valid TLS certificate defined in Certificate Manager and that Phone Apps secure https is enabled in System Admin → Port Management”, so that means that the HTTPS requirement for DPMA apps only applies for the D80 phone? and HTTP shold work for the P325?

Any idea why I cant enable HTTPS on my EPM digium template? it only gives me the option for HTTP on both Provisioning Server Protocol and PhoneApps Protocol

Also, I received the phones with firmware 4.3.2 and I remember that the apps worked on that firmware, now that I updated to 4.19.2 the apps are just not working, does somebody knows how to downgrade the firmware of the P325 when its being managed by EPM?

Thanks!!

I am trying to downgrade the firware to the version that I remember I saw recent calls app working, but I get an error while the phone is trying to download the firmware, is it necessary to clean the phone space to allow a new firmware download?
It originally had 4.3.2, then I updated to 4.19.2 and downgraded to 4.18.2, but it doesn’t let me downgrade any further.

I would suggest posting on the FreePBX forum at https://community.freepbx.org/ as there are vastly more people there who know FreePBX and are using it with P phones and EPM.

will do. thanks!

Note to all: I ported this post to FreePBX:

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.